import { defineStore } from "pinia";
import { ref } from "vue";

export const curStoreInfo = defineStore("storeInfo", () => {
  const storeInfo = ref({});
  const setStoreInfo = (info: any) => {
    storeInfo.value = info;
  };
  const channelInfo = ref({});
  const setChannelInfo = (info: any) => {
    channelInfo.value = info;
  };
  const channelList = ref([]);
  const setChannelList = (info: any) => {
    channelList.value = info;
  };
  const curTab = ref("model");
  const setCurTab = (info: any) => {
    curTab.value = info;
  };

  const OrgInfo = ref({});
  const setOrgInfo = (info: any) => {
    OrgInfo.value = info;
  };
  const departmentInfo = ref({});
  const setDepartmentInfo = (info: any) => {
    departmentInfo.value = info;
  };
  const curSelectRole = ref({});
  const setCurSelectRole = (info: any) => {
    curSelectRole.value = info;
  };
  const testReportChannel = ref({});
  const setTestReportChannel = (info: any) => {
    testReportChannel.value = info;
  };
  return {
    storeInfo,
    setStoreInfo,
    channelInfo,
    setChannelInfo,
    channelList,
    setChannelList,
    curTab,
    setCurTab,
    OrgInfo,
    setOrgInfo,
    departmentInfo,
    setDepartmentInfo,
    curSelectRole,
    setCurSelectRole,
    testReportChannel,
    setTestReportChannel,
  };
});
